summaryrefslogtreecommitdiffstats
path: root/.github/scripts/pkg-test.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2022-06-09 04:52:39 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2022-06-09 04:52:39 +0000
commit89f3604407aff8f4cb2ed958252c61e23c767e24 (patch)
tree7fbf408102cab051557d38193524d8c6e991d070 /.github/scripts/pkg-test.sh
parentAdding upstream version 1.34.1. (diff)
downloadnetdata-89f3604407aff8f4cb2ed958252c61e23c767e24.tar.xz
netdata-89f3604407aff8f4cb2ed958252c61e23c767e24.zip
Adding upstream version 1.35.0.upstream/1.35.0
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '.github/scripts/pkg-test.sh')
-rwxr-xr-x.github/scripts/pkg-test.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/.github/scripts/pkg-test.sh b/.github/scripts/pkg-test.sh
index 148ecd629..179c0c41e 100755
--- a/.github/scripts/pkg-test.sh
+++ b/.github/scripts/pkg-test.sh
@@ -7,7 +7,7 @@ install_debian_like() {
apt-get update
# Install Netdata
- apt-get install -y /netdata/artifacts/netdata_"${VERSION}"_*.deb || exit 1
+ apt-get install -y /netdata/artifacts/netdata_"${VERSION}"*_*.deb || exit 1
# Install testing tools
apt-get install -y --no-install-recommends curl netcat jq || exit 1
@@ -36,6 +36,10 @@ install_centos() {
pkg_version="$(echo "${VERSION}" | tr - .)"
+ if [ "${PKGMGR}" = "dnf" ]; then
+ opts="--allowerasing"
+ fi
+
# Install EPEL (needed for `jq`
"$PKGMGR" install -y epel-release || exit 1
@@ -43,7 +47,7 @@ install_centos() {
"$PKGMGR" install -y /netdata/artifacts/netdata-"${pkg_version}"-*.rpm
# Install testing tools
- "$PKGMGR" install -y curl nc jq || exit 1
+ "$PKGMGR" install -y ${opts} curl nc jq || exit 1
}
install_suse_like() {
@@ -101,7 +105,7 @@ case "${DISTRO}" in
fedora | oraclelinux)
install_fedora_like
;;
- centos | rockylinux)
+ centos | rockylinux | almalinux)
install_centos
;;
opensuse)